#
# spec file for package nnn
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           nnn
Version:        1.8
Release:        lp151.2.2
Summary:        Terminal based file browser
License:        GPL-2.0-or-later
Group:          Productivity/File utilities
URL:            https://github.com/jarun/nnn#nnn
Source0:        https://github.com/jarun/nnn/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig
BuildRequires:  readline-devel
%if 0%{?leap_version} == 420300
BuildRequires:  ncurses-devel
%else
BuildRequires:  pkgconfig(ncursesw)
%endif

%description
nnn is a fork of noice, a terminal file browser with keyboard
shortcuts for navigation, opening files and running tasks. There is
no config file and MIME associations are hard-coded.

%prep
%setup -q

%build
export CFLAGS="%{optflags}"
make %{?_smp_mflags}

%install
%make_install PREFIX=%{_prefix}
# fix E: env-script-interpreter
sed -i 's,usr/bin/env ,bin/,' %{buildroot}%{_bindir}/nlay

%files
%license LICENSE
%doc README.md CHANGELOG
%{_bindir}/nlay
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_mandir}/man1/nlay.1%{?ext_man}

%changelog
* Tue May  1 2018 avindra@opensuse.org
- Update to 1.8
  * Run a custom script
  * Archive selected file/directory
  * Show number of cherry-picked files in multi-copy mode
  * Env var NNN_SHOW_HIDDEN to show hidden files by default
  * Additional information in help screen
  * Prefer env var VISUAL, if defined, to EDITOR
  * New/changed/remapped shortcuts
    ^] - spawn a new shell in current directory
    r - edit directory entries in vidir
    R - run a custom script
    ^I - toggle navigate-as-you-type mode
    L - lock the current terminal
  * All Ctrl shortcuts enabled in navigate-as-you-type mode
  * Fix: GUI programs closing when parent terminal is closed
  * Recognize ~, - and & at bookmark prompt
  * Recognize ruby (.rb) files as text files
  * Efficient integer-only file size calculation
- minor cleanup with spec-cleaner
- include license, readme and changelog
* Wed Feb 28 2018 avindra@opensuse.org
- Update to 1.7
  * Batch rename/move/delete files in vidir (from moreutils)
  * Copy multiple file paths
  * Copy file paths when X is unavailable
  * Optionally quote individual file paths with single quotes on copy
  * Use ISO 8601 date format in file details
  * See CHANGELOG for new and changed keybindings
- cleanup with spec-cleaner
* Tue Jan  2 2018 jengelh@inai.de
- Ensure neutrality of description.
* Tue Jan  2 2018 avindra@opensuse.org
- Update to 1.6
  * Shortcut ^O to open file with custom application
  * Option -b to open bookmarks directly at start
  * Huge performance improvements around file name storing and
    handling
  * Several large static buffers removed or reduced
  * Several internal algorithms fine tuned for performance /
    resource usage
- pass through optflags
* Fri Oct  6 2017 aavindraa@gmail.com
- Update to 1.5
  * File and directory creation (n)
  * Env variable NNN_NOWAIT to unblock nnn when opening files (DE-specific)
  * Show current entry number in status bar
  * Support archive listing (F) and extraction (Ctrl-X) [using atool]
  * Show correct file size on i386 for large files (> 2GB)
- Drop _service file
* Mon Sep 11 2017 aavindraa@gmail.com
- Create initial package at 1.4
